Freeciv-3.3: /fast/freeciv/nightly/main/common/metaknowledge.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
metaknowledge.h File Reference
`#include "requirements.h"`

Go to the source code of this file.

## Functions

enum fc_tristate | mke_eval_req (const struct player *pov_player, const struct req_context *context, const struct player *other_player, const struct requirement *req, const enum req_problem_type prob_type)
enum fc_tristate | mke_eval_reqs (const struct player *pov_player, const struct req_context *context, const struct player *other_player, const struct requirement_vector *reqs, const enum req_problem_type prob_type)
bool | can_see_techs_of_target (const struct player *pov_player, const struct player *target_player)

## Function Documentation

## ◆ can_see_techs_of_target()

bool can_see_techs_of_target | ( | const struct player * | pow_player,
|  | const struct player * | target_player
| ) |  |

Can pow_player see the techs of target player?

Definition at line 774 of file metaknowledge.c.

Referenced by actres_possible(), choose_tech_to_steal(), is_req_knowable(), and tech_can_be_stolen().

## ◆ mke_eval_req()

enum fc_tristate mke_eval_req | ( | const struct player * | pov_player,
|  | const struct req_context * | context,
|  | const struct player * | other_player,
|  | const struct requirement * | req,
|  | const enum req_problem_type | prob_type
| ) |  |

Evaluate a single requirement given pov_player's knowledge.

context may be NULL. This is equivalent to passing an empty context.

Note: Assumed to use pov_player's data.

Definition at line 722 of file metaknowledge.c.

Referenced by mke_eval_reqs().

## ◆ mke_eval_reqs()

enum fc_tristate mke_eval_reqs | ( | const struct player * | pov_player,
|  | const struct req_context * | context,
|  | const struct player * | other_player,
|  | const struct requirement_vector * | reqs,
|  | const enum req_problem_type | prob_type
| ) |  |

Evaluate a requirement vector given pov_player's knowledge.

context may be NULL. This is equivalent to passing an empty context.

Note: Assumed to use pov_player's data.

Definition at line 748 of file metaknowledge.c.

Referenced by action_enabled_local(), action_maybe_possible_actor_unit(), and is_effect_val_known().